<?php

namespace Drupal\Tests\google_index_api\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests google_index_api settings form.
 *
 * @group google_index_api
 */
class GoogleIndexApiFormTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['google_index_api', 'file'];

  /**
   * {@inheritdoc}
   */
  public $defaultTheme = 'stark';

  /**
   * Use form.
   */
  public function testGoogleIndexApiForm() {
    $this->drupalLogin($this->drupalCreateUser(['administer google index api']));
    $test_filename = 'test.json';
    $test_domain = 'www.example.com';
    file_put_contents("public://$test_filename", '{"my": "json"}');

    $this->drupalGet('/admin/config/services/google-index-api');
    $page = $this->getSession()->getPage();
    $page->fillField('google_index_api_base_domain', 'www.example.com');
    $page->attachFileToField('files[google_index_api_json_file]', $this->container->get('file_system')->realpath("public://$test_filename"));
    $page->pressButton('Save');

    $this->assertFileExists('private://google_index_api/test.json');
    $this->assertSame(1, \Drupal::state()->get('google_index_api_json_file')[0]);
    $this->assertSame($test_domain, \Drupal::state()->get('google_index_api_base_domain'));
  }

}
